### Hierarchy

- Service
  - LinkedIn

## Index

### Methods

- getBaseUrls
- getProofIdentity
- getProofStatement
- getProofUrl
- normalizeUrl
- prefixScheme
- shouldValidateIdentityInBody
- validateProof

## Methods

### Static getBaseUrls

- getBaseUrls(): string[]

- Overrides Service.getBaseUrls

  - Defined in profiles/services/linkedIn.ts:6

  #### Returns string[]

### Static getProofIdentity

- getProofIdentity(searchText: string): string

- Overrides Service.getProofIdentity

  - Defined in profiles/services/linkedIn.ts:37

  #### Parameters

  - ##### searchText: string

  #### Returns string

### Static getProofStatement

- getProofStatement(searchText: string): string

- Overrides Service.getProofStatement

  - Defined in profiles/services/linkedIn.ts:56

  #### Parameters

  - ##### searchText: string

  #### Returns string

### Static getProofUrl

- getProofUrl(proof: any): any

- Overrides Service.getProofUrl

  - Defined in profiles/services/linkedIn.ts:15

  #### Parameters

  - ##### proof: any

  #### Returns any

### Static normalizeUrl

- normalizeUrl(proof: any): string

- - Defined in profiles/services/linkedIn.ts:29

  #### Parameters

  - ##### proof: any

  #### Returns string

### Static prefixScheme

- prefixScheme(proofUrl: string): string

- Inherited from Service.prefixScheme

  - Defined in profiles/services/service.ts:60

  #### Parameters

  - ##### proofUrl: string

  #### Returns string

### Static shouldValidateIdentityInBody

- shouldValidateIdentityInBody(): boolean

- Overrides Service.shouldValidateIdentityInBody

  - Defined in profiles/services/linkedIn.ts:33

  #### Returns boolean

### Static validateProof

- validateProof(proof: any, ownerAddress: string, name?: string): Promise<any>

- Inherited from Service.validateProof

  - Defined in profiles/services/service.ts:10

  #### Parameters

  - ##### proof: any

  - ##### ownerAddress: string

  - ##### Default value name: string = null

  #### Returns Promise<any>

Generated using TypeDoc